Subject: Re: NIU - Sun Neptune 10g - Transmit timed out reset (2.6.24)

From: Jesper Krogh <[email-masked]>
Date: Fri, 09 May 2008 20:32:53 +0200

David Miller wrote:
> From: "Yinghai Lu" <[email-masked]>
> Date: Wed, 7 May 2008 11:30:18 -0700
> 
>> On Wed, May 7, 2008 at 11:23 AM, Jesper Krogh <[email-masked]> wrote:
>>> Hi.
>>>
>>>  I get errors like this after a few minutes of traffic on a Sun Neptune 10g
>>> ethernet card. (with nice 500MB/s throughput).
>>>
>>>  Then the server seems too busy with something, so it doesn't even respont
>>> to a serial terminal login.
>>>
>>>  May  7 16:16:33 hest kernel: [  166.948958] niu: niu_get_parent:
>>> platform_type[1] port[3]
>>>  May  7 16:16:33 hest kernel: [  166.949366] niu: niu_get_and_validate_port:
>>> port[3] num_ports[2]
>>>  May  7 16:16:33 hest kernel: [  166.949886] niu: niu_put_parent: port[3]
>>>  .. bootup ends here ..
>>>  May  7 17:13:54 hest kernel: [ 3670.128178] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:04 hest kernel: [ 3680.108614] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:14 hest kernel: [ 3690.093089] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:19 hest kernel: [ 3695.079254] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:24 hest kernel: [ 3700.073525] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:29 hest kernel: [ 3705.063744] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>  May  7 17:14:34 hest kernel: [ 3710.049918] niu 0000:84:00.0: niu: eth4:
>>> Transmit timed out, resetting
>>>
>>>
>>>  Any suggestions?
>>>
>>>  The system is an Ubuntu Hardy (2.6.24-17-server) amd64.
>> can you try 2.6.25 or current git?
> 
> Also, please always CC: [email-masked] on networking reports.

Yes. It is reproducable under 2.6.25.2, when the load get up.. (worked 
excellent in the <100MB/s range for several hours.

When it works I doesnt seem to be able to get it pass 500MB/s.

Jesper
-- 
Jesper